Skip to content

哔哩哔哩 API - 视频评论 (V2)

prod-global
GET
/api/bilibili/get-video-comment/v2

检索特定哔哩哔哩视频的顶级评论,包括评论者信息、文本、点赞数和时间戳。

典型用例:

  • 收集详细的观众反馈和社区讨论。
  • 情感分析和公众舆论监控。

请求参数

参数名位置类型必填说明
tokenquerystringAPI 的访问令牌。
aidquerystring哔哩哔哩归档ID (AID)。
cursorquerystring分页游标。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/bilibili/get-video-comment/v2?token=YOUR_API_KEY&aid=VALUE"
text
我想使用 Just One API 提供的“视频评论 (V2)”接口。
接口地址: https://api.justoneapi.com/api/bilibili/get-video-comment/v2
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/bilibili-apis/video-comments-v2-zh.json

请求参数说明:
- token (query): API 的访问令牌。 (必填)
- aid (query): 哔哩哔哩归档ID (AID)。 (必填)
- cursor (query): 分页游标。

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/bilibili/get-video-comment/v2?token=YOUR_API_KEY&aid=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/bilibili/get-video-comment/v2?token=YOUR_API_KEY&aid=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/bilibili/get-video-comment/v2?token=YOUR_API_KEY&aid=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/bilibili/get-video-comment/v2?token=YOUR_API_KEY&aid=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/bilibili/get-video-comment/v2?token=YOUR_API_KEY&aid=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "code": 0,
    "message": "OK",
    "ttl": 1,
    "data": {
      "cursor": {
        "is_begin": true,
        "prev": 0,
        "next": 291,
        "is_end": false,
        "pagination_reply": {
          "next_offset": "CAESEDE4MTU2MTkyOTgxNzI5MjQaADIDCKMC"
        },
        "session_id": "",
        "mode": 2,
        "mode_text": "",
        "all_count": 1102,
        "support_mode": [
          2
        ],
        "name": "最新评论"
      },
      "replies": [
        {
          "rpid": 249826238320,
          "oid": 751305050,
          "type": 1,
          "mid": 173970208,
          "root": 0,
          "parent": 0,
          "dialog": 0,
          "count": 0,
          "rcount": 0,
          "state": 0,
          "fansgrade": 0,
          "attr": 0,
          "ctime": 1734319330,
          "mid_str": "173970208",
          "oid_str": "751305050",
          "rpid_str": "249826238320",
          "root_str": "0",
          "parent_str": "0",
          "dialog_str": "0",
          "like": 2,
          "action": 0,
          "member": {
            "mid": "173970208",
            "uname": "石首鱼2099",
            "handle": "",
            "sex": "保密",
            "sign": "围脖同名",
            "avatar": "https://i1.hdslb.com/bfs/face/0718f980e131e778a03c5d26070fead9116c97b2.jpg",
            "rank": "10000",
            "face_nft_new": 0,
            "is_senior_member": 0,
            "senior": {},
            "level_info": {
              "current_level": 6,
              "current_min": 0,
              "current_exp": 0,
              "next_exp": 0
            },
            "pendant": {
              "pid": 0,
              "name": "",
              "image": "",
              "expire": 0,
              "image_enhance": "",
              "image_enhance_frame": "",
              "n_pid": 0
            },
            "nameplate": {
              "nid": 0,
              "name": "",
              "image": "",
              "image_small": "",
              "level": "",
              "condition": ""
            },
            "official_verify": {
              "type": -1,
              "desc": ""
            },
            "vip": {
              "vipType": 1,
              "vipDueDate": 1626364800000,
              "dueRemark": "",
              "accessStatus": 0,
              "vipStatus": 0,
              "vipStatusWarn": "",
              "themeType": 0,
              "label": {
                "path": "",
                "text": "",
                "label_theme": "",
                "text_color": "",
                "bg_style": 0,
                "bg_color": "",
                "border_color": "",
                "use_img_label": true,
                "img_label_uri_hans": "",
                "img_label_uri_hant": "",
                "img_label_uri_hans_static": "https://i0.hdslb.com/bfs/vip/d7b702ef65a976b20ed854cbd04cb9e27341bb79.png",
                "img_label_uri_hant_static": "https://i0.hdslb.com/bfs/activity-plat/static/20220614/e369244d0b14644f5e1a06431e22a4d5/KJunwh19T5.p...",
                "label_id": 0,
                "label_goto": null
              },
              "avatar_subscript": 0,
              "nickname_color": ""
            },
            "fans_detail": null,
            "user_sailing": {
              "pendant": null,
              "cardbg": null,
              "cardbg_with_focus": null
            },
            "user_sailing_v2": {},
            "is_contractor": false,
            "contract_desc": "",
            "nft_interaction": null,
            "avatar_item": {
              "container_size": {
                "width": 1.8,
                "height": 1.8
              },
              "fallback_layers": {
                "layers": [
                  {
                    "visible": true,
                    "general_spec": {
                      "pos_spec": {
                        "coordinate_pos": 2,
                        "axis_x": 0.9,
                        "axis_y": 0.9
                      },
                      "size_spec": {
                        "width": 1,
                        "height": 1
                      },
                      "render_spec": {
                        "opacity": 1
                      }
                    },
                    "layer_config": {
                      "tags": {
                        "AVATAR_LAYER": {},
                        "GENERAL_CFG": {
                          "config_type": 1,
                          "general_config": {
                            "web_css_style": {
                              "borderRadius": "50%"
                            }
                          }
                        }
                      },
                      "is_critical": true
                    },
                    "resource": {
                      "res_type": 3,
                      "res_image": {
                        "image_src": {
                          "src_type": 1,
                          "placeholder": 6,
                          "remote": {
                            "url": "https://i1.hdslb.com/bfs/face/0718f980e131e778a03c5d26070fead9116c97b2.jpg",
                            "bfs_style": "widget-layer-avatar"
                          }
                        }
                      }
                    }
                  }
                ],
                "is_critical_group": true
              },
              "mid": "173970208"
            }
          },
          "content": {
            "message": "现在来看摩根士丹利似乎对2024年国内经济预测过于乐观,对2025年更加乐观。",
            "members": [],
            "jump_url": {
              "摩根士丹利": {
                "title": "摩根士丹利",
                "state": 0,
                "prefix_icon": "https://i0.hdslb.com/bfs/reply/9f3ad0659e84c96a711b88dd33f4bc2e945045e0.png",
                "app_url_schema": "bilibili://search?from=appcommentline_search&search_from_source=appcommentline_search&direct_return=...",
                "app_name": "",
                "app_package_name": "",
                "click_report": "",
                "is_half_screen": false,
                "exposure_report": "",
                "extra": {
                  "goods_show_type": 0,
                  "is_word_search": true,
                  "goods_cm_control": 0,
                  "goods_click_report": "",
                  "goods_exposure_report": ""
                },
                "underline": false,
                "match_once": true,
                "pc_url": "//search.bilibili.com/all?from_source=webcommentline_search&keyword=%E6%91%A9%E6%A0%B9%E5%A3%AB%E4%B...",
                "icon_position": 1
              },
              "经济预测": {
                "title": "经济预测",
                "state": 0,
                "prefix_icon": "https://i0.hdslb.com/bfs/reply/9f3ad0659e84c96a711b88dd33f4bc2e945045e0.png",
                "app_url_schema": "bilibili://search?from=appcommentline_search&search_from_source=appcommentline_search&direct_return=...",
                "app_name": "",
                "app_package_name": "",
                "click_report": "",
                "is_half_screen": false,
                "exposure_report": "",
                "extra": {
                  "goods_show_type": 0,
                  "is_word_search": true,
                  "goods_cm_control": 0,
                  "goods_click_report": "",
                  "goods_exposure_report": ""
                },
                "underline": false,
                "match_once": true,
                "pc_url": "//search.bilibili.com/all?from_source=webcommentline_search&keyword=%E7%BB%8F%E6%B5%8E%E9%A2%84%E6%B...",
                "icon_position": 1
              }
            },
            "max_line": 6
          },
          "replies": null,
          "assist": 0,
          "up_action": {
            "like": false,
            "reply": false
          },
          "invisible": false,
          "reply_control": {
            "max_line": 6,
            "time_desc": "448天前发布",
            "location": "IP属地:河南",
            "translation_switch": 1,
            "support_share": true
          },
          "folder": {
            "has_folded": false,
            "is_folded": false,
            "rule": ""
          },
          "dynamic_id_str": "0",
          "note_cvid_str": "0",
          "track_info": "",
          "cursor": "CAESEDE4MTU2MTkyOTgxNzI5MjQaADIDCKMC",
          "all_count": 1102
        }
      ],
      "top": {
        "admin": null,
        "upper": {
          "rpid": 228211196256,
          "oid": 751305050,
          "type": 1,
          "mid": 598953856,
          "root": 0,
          "parent": 0,
          "dialog": 0,
          "count": 0,
          "rcount": 0,
          "state": 0,
          "fansgrade": 0,
          "attr": 130,
          "ctime": 1719371621,
          "mid_str": "598953856",
          "oid_str": "751305050",
          "rpid_str": "228211196256",
          "root_str": "0",
          "parent_str": "0",
          "dialog_str": "0",
          "like": 0,
          "action": 0,
          "member": {
            "mid": "598953856",
            "uname": "芬田财经",
            "handle": "",
            "sex": "男",
            "sign": "深度财经|THINK BIGGER|\n\n独家体系课程和重要资料见小店\n\n资深投资经验|人大金融科班|A/H上市治理&资本运作|",
            "avatar": "https://i1.hdslb.com/bfs/face/8c49ba713cdf2d3dee0656c64c6c9a2701bd8e6d.jpg",
            "rank": "10000",
            "face_nft_new": 0,
            "is_senior_member": 1,
            "senior": {
              "status": 2
            },
            "level_info": {
              "current_level": 6,
              "current_min": 0,
              "current_exp": 0,
              "next_exp": 0
            },
            "pendant": {
              "pid": 0,
              "name": "",
              "image": "",
              "expire": 0,
              "image_enhance": "",
              "image_enhance_frame": "",
              "n_pid": 0
            },
            "nameplate": {
              "nid": 8,
              "name": "知名偶像",
              "image": "https://i0.hdslb.com/bfs/face/27a952195555e64508310e366b3e38bd4cd143fc.png",
              "image_small": "https://i0.hdslb.com/bfs/face/0497be49e08357bf05bca56e33a0637a273a7610.png",
              "level": "稀有勋章",
              "condition": "所有自制视频总播放数>=100万,数据次日更新"
            },
            "official_verify": {
              "type": -1,
              "desc": ""
            },
            "vip": {
              "vipType": 1,
              "vipDueDate": 1771344000000,
              "dueRemark": "",
              "accessStatus": 0,
              "vipStatus": 0,
              "vipStatusWarn": "",
              "themeType": 0,
              "label": {
                "path": "",
                "text": "",
                "label_theme": "",
                "text_color": "",
                "bg_style": 0,
                "bg_color": "",
                "border_color": "",
                "use_img_label": true,
                "img_label_uri_hans": "",
                "img_label_uri_hant": "",
                "img_label_uri_hans_static": "https://i0.hdslb.com/bfs/vip/d7b702ef65a976b20ed854cbd04cb9e27341bb79.png",
                "img_label_uri_hant_static": "https://i0.hdslb.com/bfs/activity-plat/static/20220614/e369244d0b14644f5e1a06431e22a4d5/KJunwh19T5.p...",
                "label_id": 0,
                "label_goto": null
              },
              "avatar_subscript": 0,
              "nickname_color": ""
            },
            "fans_detail": {
              "uid": 598953856,
              "medal_id": 1308454,
              "medal_name": "FT泰谷",
              "score": 0,
              "level": 6,
              "intimacy": 0,
              "master_status": 0,
              "is_receive": 0,
              "medal_color": 4293718521,
              "medal_color_end": 4293718521,
              "medal_color_border": 4293718521,
              "medal_color_name": 4283924408,
              "medal_color_level": 4287605200,
              "guard_level": 0,
              "guard_icon": "",
              "honor_icon": "",
              "medal_level_bg_color": 16777215
            },
            "user_sailing": {
              "pendant": null,
              "cardbg": {
                "id": 1766982667001,
                "name": "命中注定",
                "image": "https://i0.hdslb.com/bfs/baselabs/op/6277b133b0058fb98d38374d2935241f40b57dd0de13dbfb333d28c1fb894f4...",
                "jump_url": "https://www.bilibili.com/h5/mall/equity-link/collect-home?item_id=1766982667001&isdiy=0&part=card_bg...",
                "fan": {
                  "is_fan": 1,
                  "number": 18,
                  "color": "#AC7B40",
                  "name": "命中注定",
                  "num_desc": "000018",
                  "num_prefix": "NO.",
                  "color_format": {
                    "start_point": "0,0",
                    "end_point": "0,100",
                    "colors": [
                      "#AC7B40FF"
                    ],
                    "gradients": [
                      0
                    ]
                  }
                },
                "type": "suit",
                "image_group": null
              },
              "cardbg_with_focus": null
            },
            "user_sailing_v2": {
              "card_bg": {
                "id": 1766982667001,
                "name": "命中注定",
                "image": "https://i0.hdslb.com/bfs/baselabs/op/6277b133b0058fb98d38374d2935241f40b57dd0de13dbfb333d28c1fb894f4...",
                "jump_url": "https://www.bilibili.com/h5/mall/equity-link/collect-home?item_id=1766982667001&isdiy=0&part=card_bg...",
                "fan": {
                  "is_fan": 1,
                  "number": 18,
                  "color": "#AC7B40",
                  "name": "命中注定",
                  "num_desc": "000018",
                  "num_prefix": "NO.",
                  "color_format": {
                    "start_point": "0,0",
                    "end_point": "0,100",
                    "colors": [
                      "#AC7B40FF"
                    ],
                    "gradients": [
                      0
                    ]
                  }
                },
                "type": "suit"
              }
            },
            "is_contractor": false,
            "contract_desc": "",
            "nft_interaction": null,
            "avatar_item": {
              "container_size": {
                "width": 1.8,
                "height": 1.8
              },
              "fallback_layers": {
                "layers": [
                  {
                    "visible": true,
                    "general_spec": {
                      "pos_spec": {
                        "coordinate_pos": 2,
                        "axis_x": 0.9,
                        "axis_y": 0.9
                      },
                      "size_spec": {
                        "width": 1,
                        "height": 1
                      },
                      "render_spec": {
                        "opacity": 1
                      }
                    },
                    "layer_config": {
                      "tags": {
                        "AVATAR_LAYER": {},
                        "GENERAL_CFG": {
                          "config_type": 1,
                          "general_config": {
                            "web_css_style": {
                              "borderRadius": "50%"
                            }
                          }
                        }
                      },
                      "is_critical": true
                    },
                    "resource": {
                      "res_type": 3,
                      "res_image": {
                        "image_src": {
                          "src_type": 1,
                          "placeholder": 6,
                          "remote": {
                            "url": "https://i1.hdslb.com/bfs/face/8c49ba713cdf2d3dee0656c64c6c9a2701bd8e6d.jpg",
                            "bfs_style": "widget-layer-avatar"
                          }
                        }
                      }
                    }
                  }
                ],
                "is_critical_group": true
              },
              "mid": "598953856"
            }
          },
          "content": {
            "message": "芬田财经已更新了FT黄金手册(宏观经济图表版),大量新数据高质量宏观经济图表信手拈来! https://b23.tv/mall-eX9G4-14g3Rew3OK0",
            "members": [],
            "jump_url": {
              "https://b23.tv/mall-eX9G4-14g3Rew3OK0": {
                "title": "立即购买|芬田FT黄金手册(2024全球经济图表版)FTGoldManual",
                "state": 0,
                "prefix_icon": "https://i0.hdslb.com/bfs/activity-plat/static/20230612/33208db4c24eef2890df876c57cc4123/qcTFC3aooI.p...",
                "app_url_schema": "",
                "app_name": "",
                "app_package_name": "",
                "click_report": "",
                "is_half_screen": false,
                "exposure_report": "",
                "extra": {
                  "goods_item_id": 902630132441288700,
                  "goods_prefetched_cache": "{\"source_id\":0,\"resource_id\":0,\"is_ad_loc\":true,\"server_type\":1,\"ad_content\":{\"creative_id\":11166072...",
                  "goods_show_type": 2,
                  "is_word_search": false,
                  "goods_cm_control": 1,
                  "goods_click_report": "{\"spmid\":\"\",\"is_attribution\":0,\"request_id\":\"1773065720900q172a26a103a54q1860\",\"from_spmid\":\"\",\"is_f...",
                  "goods_exposure_report": "{\"spmid\":\"\",\"is_attribution\":0,\"request_id\":\"1773065720900q172a26a103a54q1860\",\"from_spmid\":\"\",\"is_f..."
                },
                "underline": false,
                "match_once": false,
                "pc_url": "https://mall.bilibili.com/neul-next/index.html?page=mall-up_itemDetail&noTitleBar=1&itemsId=11073530...",
                "icon_position": 0
              }
            },
            "max_line": 6
          },
          "replies": null,
          "assist": 0,
          "up_action": {
            "like": false,
            "reply": false
          },
          "invisible": false,
          "reply_control": {
            "is_up_top": true,
            "max_line": 6,
            "time_desc": "621天前发布",
            "translation_switch": 1,
            "support_share": true
          },
          "folder": {
            "has_folded": false,
            "is_folded": false,
            "rule": ""
          },
          "dynamic_id_str": "0",
          "note_cvid_str": "0",
          "track_info": ""
        },
        "vote": null
      },
      "top_replies": [
        {
          "rpid": 228211196256,
          "oid": 751305050,
          "type": 1,
          "mid": 598953856,
          "root": 0,
          "parent": 0,
          "dialog": 0,
          "count": 0,
          "rcount": 0,
          "state": 0,
          "fansgrade": 0,
          "attr": 130,
          "ctime": 1719371621,
          "mid_str": "598953856",
          "oid_str": "751305050",
          "rpid_str": "228211196256",
          "root_str": "0",
          "parent_str": "0",
          "dialog_str": "0",
          "like": 0,
          "action": 0,
          "member": {
            "mid": "598953856",
            "uname": "芬田财经",
            "handle": "",
            "sex": "男",
            "sign": "深度财经|THINK BIGGER|\n\n独家体系课程和重要资料见小店\n\n资深投资经验|人大金融科班|A/H上市治理&资本运作|",
            "avatar": "https://i1.hdslb.com/bfs/face/8c49ba713cdf2d3dee0656c64c6c9a2701bd8e6d.jpg",
            "rank": "10000",
            "face_nft_new": 0,
            "is_senior_member": 1,
            "senior": {
              "status": 2
            },
            "level_info": {
              "current_level": 6,
              "current_min": 0,
              "current_exp": 0,
              "next_exp": 0
            },
            "pendant": {
              "pid": 0,
              "name": "",
              "image": "",
              "expire": 0,
              "image_enhance": "",
              "image_enhance_frame": "",
              "n_pid": 0
            },
            "nameplate": {
              "nid": 8,
              "name": "知名偶像",
              "image": "https://i0.hdslb.com/bfs/face/27a952195555e64508310e366b3e38bd4cd143fc.png",
              "image_small": "https://i0.hdslb.com/bfs/face/0497be49e08357bf05bca56e33a0637a273a7610.png",
              "level": "稀有勋章",
              "condition": "所有自制视频总播放数>=100万,数据次日更新"
            },
            "official_verify": {
              "type": -1,
              "desc": ""
            },
            "vip": {
              "vipType": 1,
              "vipDueDate": 1771344000000,
              "dueRemark": "",
              "accessStatus": 0,
              "vipStatus": 0,
              "vipStatusWarn": "",
              "themeType": 0,
              "label": {
                "path": "",
                "text": "",
                "label_theme": "",
                "text_color": "",
                "bg_style": 0,
                "bg_color": "",
                "border_color": "",
                "use_img_label": true,
                "img_label_uri_hans": "",
                "img_label_uri_hant": "",
                "img_label_uri_hans_static": "https://i0.hdslb.com/bfs/vip/d7b702ef65a976b20ed854cbd04cb9e27341bb79.png",
                "img_label_uri_hant_static": "https://i0.hdslb.com/bfs/activity-plat/static/20220614/e369244d0b14644f5e1a06431e22a4d5/KJunwh19T5.p...",
                "label_id": 0,
                "label_goto": null
              },
              "avatar_subscript": 0,
              "nickname_color": ""
            },
            "fans_detail": {
              "uid": 598953856,
              "medal_id": 1308454,
              "medal_name": "FT泰谷",
              "score": 0,
              "level": 6,
              "intimacy": 0,
              "master_status": 0,
              "is_receive": 0,
              "medal_color": 4293718521,
              "medal_color_end": 4293718521,
              "medal_color_border": 4293718521,
              "medal_color_name": 4283924408,
              "medal_color_level": 4287605200,
              "guard_level": 0,
              "guard_icon": "",
              "honor_icon": "",
              "medal_level_bg_color": 16777215
            },
            "user_sailing": {
              "pendant": null,
              "cardbg": {
                "id": 1766982667001,
                "name": "命中注定",
                "image": "https://i0.hdslb.com/bfs/baselabs/op/6277b133b0058fb98d38374d2935241f40b57dd0de13dbfb333d28c1fb894f4...",
                "jump_url": "https://www.bilibili.com/h5/mall/equity-link/collect-home?item_id=1766982667001&isdiy=0&part=card_bg...",
                "fan": {
                  "is_fan": 1,
                  "number": 18,
                  "color": "#AC7B40",
                  "name": "命中注定",
                  "num_desc": "000018",
                  "num_prefix": "NO.",
                  "color_format": {
                    "start_point": "0,0",
                    "end_point": "0,100",
                    "colors": [
                      "#AC7B40FF"
                    ],
                    "gradients": [
                      0
                    ]
                  }
                },
                "type": "suit",
                "image_group": null
              },
              "cardbg_with_focus": null
            },
            "user_sailing_v2": {
              "card_bg": {
                "id": 1766982667001,
                "name": "命中注定",
                "image": "https://i0.hdslb.com/bfs/baselabs/op/6277b133b0058fb98d38374d2935241f40b57dd0de13dbfb333d28c1fb894f4...",
                "jump_url": "https://www.bilibili.com/h5/mall/equity-link/collect-home?item_id=1766982667001&isdiy=0&part=card_bg...",
                "fan": {
                  "is_fan": 1,
                  "number": 18,
                  "color": "#AC7B40",
                  "name": "命中注定",
                  "num_desc": "000018",
                  "num_prefix": "NO.",
                  "color_format": {
                    "start_point": "0,0",
                    "end_point": "0,100",
                    "colors": [
                      "#AC7B40FF"
                    ],
                    "gradients": [
                      0
                    ]
                  }
                },
                "type": "suit"
              }
            },
            "is_contractor": false,
            "contract_desc": "",
            "nft_interaction": null,
            "avatar_item": {
              "container_size": {
                "width": 1.8,
                "height": 1.8
              },
              "fallback_layers": {
                "layers": [
                  {
                    "visible": true,
                    "general_spec": {
                      "pos_spec": {
                        "coordinate_pos": 2,
                        "axis_x": 0.9,
                        "axis_y": 0.9
                      },
                      "size_spec": {
                        "width": 1,
                        "height": 1
                      },
                      "render_spec": {
                        "opacity": 1
                      }
                    },
                    "layer_config": {
                      "tags": {
                        "AVATAR_LAYER": {},
                        "GENERAL_CFG": {
                          "config_type": 1,
                          "general_config": {
                            "web_css_style": {
                              "borderRadius": "50%"
                            }
                          }
                        }
                      },
                      "is_critical": true
                    },
                    "resource": {
                      "res_type": 3,
                      "res_image": {
                        "image_src": {
                          "src_type": 1,
                          "placeholder": 6,
                          "remote": {
                            "url": "https://i1.hdslb.com/bfs/face/8c49ba713cdf2d3dee0656c64c6c9a2701bd8e6d.jpg",
                            "bfs_style": "widget-layer-avatar"
                          }
                        }
                      }
                    }
                  }
                ],
                "is_critical_group": true
              },
              "mid": "598953856"
            }
          },
          "content": {
            "message": "芬田财经已更新了FT黄金手册(宏观经济图表版),大量新数据高质量宏观经济图表信手拈来! https://b23.tv/mall-eX9G4-14g3Rew3OK0",
            "members": [],
            "jump_url": {
              "https://b23.tv/mall-eX9G4-14g3Rew3OK0": {
                "title": "立即购买|芬田FT黄金手册(2024全球经济图表版)FTGoldManual",
                "state": 0,
                "prefix_icon": "https://i0.hdslb.com/bfs/activity-plat/static/20230612/33208db4c24eef2890df876c57cc4123/qcTFC3aooI.p...",
                "app_url_schema": "",
                "app_name": "",
                "app_package_name": "",
                "click_report": "",
                "is_half_screen": false,
                "exposure_report": "",
                "extra": {
                  "goods_item_id": 902630132441288700,
                  "goods_prefetched_cache": "{\"source_id\":0,\"resource_id\":0,\"is_ad_loc\":true,\"server_type\":1,\"ad_content\":{\"creative_id\":11166072...",
                  "goods_show_type": 2,
                  "is_word_search": false,
                  "goods_cm_control": 1,
                  "goods_click_report": "{\"spmid\":\"\",\"is_attribution\":0,\"request_id\":\"1773065720900q172a26a103a54q1860\",\"from_spmid\":\"\",\"is_f...",
                  "goods_exposure_report": "{\"spmid\":\"\",\"is_attribution\":0,\"request_id\":\"1773065720900q172a26a103a54q1860\",\"from_spmid\":\"\",\"is_f..."
                },
                "underline": false,
                "match_once": false,
                "pc_url": "https://mall.bilibili.com/neul-next/index.html?page=mall-up_itemDetail&noTitleBar=1&itemsId=11073530...",
                "icon_position": 0
              }
            },
            "max_line": 6
          },
          "replies": null,
          "assist": 0,
          "up_action": {
            "like": false,
            "reply": false
          },
          "invisible": false,
          "reply_control": {
            "is_up_top": true,
            "max_line": 6,
            "time_desc": "621天前发布",
            "translation_switch": 1,
            "support_share": true
          },
          "folder": {
            "has_folded": false,
            "is_folded": false,
            "rule": ""
          },
          "dynamic_id_str": "0",
          "note_cvid_str": "0",
          "track_info": "",
          "cursor": "CAESEDE4MTU2MTkyOTgxNzI5MjQaADIDCKMC",
          "all_count": 1102
        }
      ],
      "effects": {
        "preloading": ""
      },
      "assist": 0,
      "blacklist": 0,
      "vote": 0,
      "config": {
        "showtopic": 1,
        "show_up_flag": true,
        "read_only": false
      },
      "upper": {
        "mid": 598953856
      },
      "control": {
        "input_disable": false,
        "root_input_text": "哎呦,不错哦,发条评论吧",
        "child_input_text": "哎呦,不错哦,发条评论吧",
        "giveup_input_text": "不发没关系,请继续友善哦~",
        "screenshot_icon_state": 1,
        "upload_picture_icon_state": 1,
        "answer_guide_text": "需要升级成为lv2会员后才可以评论,先去答题转正吧!",
        "answer_guide_icon_url": "http://i0.hdslb.com/bfs/emote/96940d16602cacbbac796245b7bb99fa9b5c970c.png",
        "answer_guide_ios_url": "https://www.bilibili.com/h5/newbie/entry?navhide=1&re_src=12",
        "answer_guide_android_url": "https://www.bilibili.com/h5/newbie/entry?navhide=1&re_src=6",
        "bg_text": "",
        "empty_page": null,
        "show_type": 1,
        "show_text": "",
        "web_selection": false,
        "disable_jump_emote": false,
        "enable_charged": false,
        "enable_cm_biz_helper": false,
        "preload_resources": null
      },
      "note": 1,
      "cm_info": {
        "ads": {
          "4765": [
            {
              "id": 0,
              "contract_id": "",
              "pos_num": 0,
              "name": "",
              "pic": "",
              "litpic": "",
              "url": "",
              "style": 0,
              "agency": "",
              "label": "",
              "intro": "",
              "creative_type": 0,
              "request_id": "1773065720942q172a26a100a197q4188",
              "src_id": 4766,
              "area": 0,
              "is_ad_loc": true,
              "ad_cb": "",
              "title": "",
              "server_type": 0,
              "cm_mark": 0,
              "stime": 0,
              "mid": "266881802",
              "activity_type": 0,
              "epid": 0,
              "sub_title": "",
              "ad_desc": "",
              "adver_name": "",
              "null_frame": false,
              "pic_main_color": ""
            }
          ]
        }
      },
      "callbacks": {}
    }
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。